\name{BSgenome.Ggallus.UCSC.galGal6}
\docType{package}

\alias{BSgenome.Ggallus.UCSC.galGal6-package}
\alias{BSgenome.Ggallus.UCSC.galGal6}
\alias{Ggallus}

\title{Full genome sequences for Gallus gallus (UCSC version galGal6)}

\description{
  Full genome sequences for Gallus gallus (Chicken) as provided by UCSC (galGal6, Mar. 2018) and stored in Biostrings objects.
}

\details{
  
}

\note{
  This BSgenome data package was made from the following source data files:
  \preformatted{
galGal6.2bit from http://hgdownload.cse.ucsc.edu/goldenPath/galGal6/bigZips/
  }

  See \code{?\link[BSgenome]{BSgenomeForge}} and the BSgenomeForge
  vignette (\code{vignette("BSgenomeForge")}) in the \pkg{BSgenome}
  software package for how to make a BSgenome data package.
}

\author{The Bioconductor Dev Team}

\seealso{
  \itemize{
    \item \link[BSgenome]{BSgenome} objects and the
          \code{\link[BSgenome]{available.genomes}} function
          in the \pkg{BSgenome} software package.
    \item \link[Biostrings]{DNAString} objects in the \pkg{Biostrings}
          package.
    \item The BSgenomeForge vignette (\code{vignette("BSgenomeForge")})
          in the \pkg{BSgenome} software package for how to make a BSgenome
          data package.
  }
}

\examples{
BSgenome.Ggallus.UCSC.galGal6
genome <- BSgenome.Ggallus.UCSC.galGal6
head(seqlengths(genome))
genome$chr1  # same as genome[["chr1"]]

## ---------------------------------------------------------------------
## Genome-wide motif searching
## ---------------------------------------------------------------------
## See the GenomeSearching vignette in the BSgenome software
## package for some examples of genome-wide motif searching using
## Biostrings and the BSgenome data packages:
if (interactive())
    vignette("GenomeSearching", package="BSgenome")
}

\keyword{package}
\keyword{data}
